Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class InvalidAccessKeyIdException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.amazonaws.AmazonClientException
                      com.amazonaws.AmazonServiceException
                          com.amazonaws.services.importexport.model.InvalidAccessKeyIdException

All Implemented Interfaces:
  Serializable

    public class InvalidAccessKeyIdException

extends AmazonServiceException

The AWS Access Key ID specified in the request did not match the manifest's accessKeyId value. The manifest and the request authentication must use the same AWS Access Key ID.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException
`AmazonServiceException.ErrorType`

Constructor Summary
`InvalidAccessKeyIdException(String message)` Constructs a new InvalidAccessKeyIdException with the specified error message.

Method Summary

Methods inherited from class com.amazonaws.AmazonServiceException
`getErrorCode, getErrorType, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorType, setRequestId, setServiceName, setStatusCode, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAccessKeyIdException

    public InvalidAccessKeyIdException(String message)

  Constructs a new InvalidAccessKeyIdException with the specified error message.

  Parameters:
    `message` - Describes the error encountered.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.